BizKitHub
DocsAPI ReferenceLedger/bff/ledger/vat/identity
postLedgerAdmin BFF

/bff/ledger/vat/identity

Update the taxpayer identity used in the VAT form header (VetaP)

LedgerpostBffLedgerVatIdentity

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
taxpayerType"P" | "F" | nullOptional
One of 3:
Variant 1
"P"
Variant 2
"F"
Variant 3
null
taxOfficeCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–3
Variant 2
null
taxWorkplaceCodestring | nullOptional
One of 2:
Variant 1
string
Length: 0–4
Variant 2
null
czNacestring | nullOptional
One of 2:
Variant 1
string
Length: 0–8
Variant 2
null
filerFirstNamestring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
filerLastNamestring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
filerPositionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–100
Variant 2
null
filerPhonestring | nullOptional
One of 2:
Variant 1
string
Length: 0–40
Variant 2
null
filerEmailstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/vat/identity

post
curl -X POST "https://api.bizkithub.com/bff/ledger/vat/identity" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key